activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Timothy Bish <tabish...@gmail.com>
Subject Re: Installing Activemq-cpp (3.2.2) on Mac OS X
Date Tue, 03 Aug 2010 19:50:01 GMT
On Tue, 2010-08-03 at 12:33 -0700, Marc Luce wrote:
> I installed activemq-cpp-library-3.2.2 on my Mac OS X.  The configure, make,
> make install, make check all appear to have worked correctly.  However, when
> I go to <activemq-cp>/src/test-integration and attempt to execute the
> ./activemq-test-integration program I get a segmentation fault.
> 
> My LD_LIBRARY_PATH=<apr-1.4.2>:<apr-util-1.3.9>:/usr/lib:/usr/local/lib
> 
> /usr/local/lib does include libactivemq-cpp.a and libcppunit.a.
> 
> Is there some basic step that I have missed?  Does anyone else have a
> problem with getting this installed on Mac OS X?
> 
> Thanks in advance
> Marc
> marc@odexgroup.com

There is a known issue with ActiveMQ-CPP on Mac, see here:
https://issues.apache.org/activemq/browse/AMQCPP-298

That's most likely the error you are seeing, so far there's no
workaround, we welcome patches though if you want to take a look at it.

Regards
Tim.



-- 
Tim Bish

Open Source Integration: http://fusesource.com
ActiveMQ in Action: http://www.manning.com/snyder/

Follow me on Twitter: http://twitter.com/tabish121
My Blog: http://timbish.blogspot.com/


Mime
View raw message